{% extends "base.html" %}

{% block content %}
    <div>
        {% block title %}
            <h1>{{ project_object.name }}</h1>
        {% endblock title %}
        {{ project.description }}
        <h2>Tasks</h2>
        <p>
            <a href="{% url "create_task" %}">Create a new task</a>
        </p>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Assignee</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </tr>
            </thead>
            <tbody>
                {% for task in project_object.tasks.all %}
                    <tr>
                        <td>{{ task.name }}</td>
                        <td>{{ task.assignee }}</td>
                        <td>{{ task.start_date }}</td>
                        <td>{{ task.due_date }}</td>
                        {% if task.is_completed == True %}
                            <td>yes</td>
                        {% else %}
                            <td>no</td>
                        {% endif %}
                    {% empty %}
                    </tr>
                    <tr>
                        <p>This project has no tasks</p>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock content %}
